Freebox Server (Pop V8/ Delta V7 / Revolution V6 / Server Mini 4K)

  • État Nouveau   Réouverte
  • Type de tâche Évolution
  • Catégorie Freebox OS
  • Assignée à Personne
  • Système d'exploitation Tous
  • Sévérité Critique
  • Priorité Normale
  • Basée sur la version 4.0.4
  • Due pour la version Non décidé
  • Date d'échéance Non décidé
  • Votes 0
  • Privée Non
Concerne le projet: Freebox Server (Pop V8/ Delta V7 / Revolution V6 / Server Mini 4K)
Ouverte par Neustradamus (Neustradamus) - 14/02/2019
Dernière édition par Thibaut Freebox (Thibaut Freebox) - 28/01/2020

FS#25800 - [Tous les Freebox Server] Demande de mise à jour (failles critiques) : libdb 5.3 -> 11.2.5.3.28 etc

Pourriez-vous mettre à jour libdb 5.3 → Berkeley DB 11gR2 (11.2.5.3.28) → Berkeley DB 18.1 (18.1.25) et ainsi corriger de failles de sécurité (vulnérabilités) nommées CVEs en même temps

https://www.cvedetails.com/vulnerability-list/vendor_id-93/product_id-32070/Oracle-Berkeley-Db.html

https://www.oracle.com/technetwork/database/database-technologies/berkeleydb/downloads/index-082944.html

Déjà signalé dans https://dev.freebox.fr/bugs/task/22518 (avec d’autres demandes de maj + corrections de noms de softs/libs)

De plus, pourriez-vous corriger le nom sur le site FLOSS et dans Freebox OS : libdb → Berkeley DB

Cette tache ne dépend pas d'autre tache

Neustradamus (Neustradamus_)
mardi 28 janvier, 2020 10:46:45
  • Champ changé: Pourcentage achevé : (100% → 0%)

Ticket clôturé mais pas mis à jour, est-ce possible de réouvrir avant création d’un nouveau ? Merci.

Neustradamus (Neustradamus_)
mardi 14 juillet, 2020 00:57:36

A l'heure actuelle :
- Berkeley DB 18.1 (18.1.40)

Neustradamus (Neustradamus_)
jeudi 25 février, 2021 12:56:55

Actuellement utilisé : 5.3.21
Il y a aussi a 5.3.28 avant de passer en 6.0.19...

Notes :
2.0 - 6.0.19 is licensed under the Sleepycat License
6.0.20 - 7.3.6 is licensed under the GNU AGPL v3
7.3.7 and newer is licensed under the Apache License, Version 2.0

Chargement...